Package com.apple.foundationdb

## Class Cluster

- java.lang.Object
- - com.apple.foundationdb.Cluster

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    @Deprecated
    public class Cluster
    extends java.lang.Object

Deprecated.
The `Cluster` represents a connection to a physical set of cooperating machines running FoundationDB. A `Cluster` is opened with a reference to a cluster file. This class is deprecated. Use `FDB.open()` to open a `Database` directly
Note: `Cluster` objects must be `closed` when no longer in use in order to free any associated resources.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `checkUnclosed​(java.lang.String context)`
`void` `close()`
`boolean` `isClosed()`
`Database` `openDatabase()` Deprecated. Creates a connection to the database on an FDB cluster.
`Database` `openDatabase​(java.util.concurrent.Executor e)` Deprecated. Creates a connection to the database on an FDB cluster.
`ClusterOptions` `options()` Deprecated. Returns a set of options that can be set on a `Cluster`.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### options

    public ClusterOptions options()

Deprecated.
Returns a set of options that can be set on a `Cluster`. In the current version of the API, there are no options that can be set on a `Cluster`.

Returns:
  a set of cluster-specific options affecting this `Cluster`

#### openDatabase

    public Database openDatabase()
                          throws FDBException

Deprecated.
Creates a connection to the database on an FDB cluster.

Returns:
  a `Future` that will be set to a `Database` upon successful connection.
Throws:
  `FDBException`

#### openDatabase

    public Database openDatabase​(java.util.concurrent.Executor e)
                          throws FDBException

Deprecated.
Creates a connection to the database on an FDB cluster.

Parameters:
  `e` - the `Executor` to use when executing asynchronous callbacks for the database
Returns:
  a `Future` that will be set to a `Database` upon successful connection.
Throws:
  `FDBException`

#### isClosed

    public boolean isClosed()

#### checkUnclosed

    public void checkUnclosed​(java.lang.String context)

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`